function PROC_SSDBShowFeaturePerformanceTable(NewDir)
% function PROC_SSDBShowFeaturePerformanceTable()
%

 here = pwd;
 cd /cbcl/scratch01/bileschi/PrecomputedFeatures/StreetScenes/AppearanceDetector
 cd RocsPlus
 onames = {'car','pedestrian','bicycle'};
 for iObjType = [1,2,3]
   for iter = 1:100
    on = onames{iObjType};
    fprintf('%s iter %d \r',on, iter);
    fn = sprintf('NoExtraFeature/C1Band3_%s_%.3d.mat',on,iter);
    if(exist(fn))
      C1.(on){iter} = load(fn);
    end
    fn = sprintf('%s/NewFeaturePlusC1_%s_%.3d.mat',NewDir,on,iter);
    if(exist(fn))
      C1AndSeg.(on){iter} = load(fn);
    end
    % For historical reasons this filename structure is also allowed.
    fn = sprintf('%s/HStan002_Level5plusC1_%s_%.3d.mat',NewDir,on,iter);
    if(exist(fn))
      C1AndSeg.(on){iter} = load(fn);
    end
    fn = sprintf('%s/NewFeatureplusTriggs_%s_%.3d.mat',NewDir,on,iter);
    if(exist(fn))
      TriggsAndSeg.(on){iter} = load(fn);
    end
    % For historical reasons this filename structure is also allowed.
    fn = sprintf('%s/HStan002_Level5plusTriggs_%s_%.3d.mat',NewDir,on,iter);
    if(exist(fn))
      TriggsAndSeg.(on){iter} = load(fn);
    end
    fn = sprintf('ContinuityExp002/Triggs_%s_%.3d.mat',on,iter);
    if(exist(fn))
      Triggs.(on){iter} = load(fn);
    end
  end
  [stats.(on).C1.m,stats.(on).C1.v] = caROC2Stats(C1.(on));
  [stats.(on).C1AndSeg.m,stats.(on).C1AndSeg.v] = caROC2Stats(C1AndSeg.(on));
  [stats.(on).Triggs.m,stats.(on).Triggs.v] = caROC2Stats(Triggs.(on));
  [stats.(on).TriggsAndSeg.m,stats.(on).TriggsAndSeg.v] = caROC2Stats(TriggsAndSeg.(on));
  fprintf('\n')
  fprintf(' C1 /  C1 + %s / Triggs / Triggs + %s\n',NewDir,NewDir);
  [A.(on),B.(on),labels] = ShowStats({stats.(on).C1,stats.(on).C1AndSeg,stats.(on).Triggs,stats.(on).TriggsAndSeg});
% fprintf(' C1 /  C1 + %s \n',NewDir);
% [A.(on),B.(on),labels] = ShowStats({stats.(on).C1,stats.(on).C1AndSeg});
 end
 cd(here);
